import { defineComponent as i, openBlock as c, createBlock as m, unref as t, mergeProps as o, withCtx as r, createVNode as f, renderSlot as l } from "vue";
import { ElPopconfirm as a, ElButton as s } from "element-plus";
import { WetConfirmButtonProps as u } from "./types.mjs";
const x = /* @__PURE__ */ i({
  name: "WetConfirmButton",
  __name: "index",
  props: u,
  setup(n) {
    const e = n;
    return (p, d) => (c(), m(t(a), o(e, {
      title: e.title || "确认删除？"
    }), {
      reference: r(() => [
        f(t(s), o(e, {
          type: e.type || "danger",
          icon: e.buttonIcon
        }), {
          default: r(() => [
            l(p.$slots, "default")
          ]),
          _: 3
        }, 16, ["type", "icon"])
      ]),
      _: 3
    }, 16, ["title"]));
  }
});
export {
  x as default
};
